giraph-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Roman Shaposhnik <ro...@shaposhnik.org>
Subject Re: Questions on hadoop 2.5.x
Date Sun, 21 Sep 2014 00:34:14 GMT
On Sat, Sep 20, 2014 at 3:31 PM, Dongjin Lee <dongjin.lee.kr@gmail.com> wrote:
> Hello. I am a developer who is working on giraph 1.1.0-rc0 with hadoop
> 2.5.1.
> I have some questions on giraph.
>
> 1. Is there any plan for supporting hadoop 2.5.x?
>
> According to pom.xml, currently the default version of hadoop for hadoop2
> profile seems like 2.2.0. Is there any plan to upgrade it to 2.5.x? I have
> searched jira about this issue, but I could not find any.
>
> 2. Compilation problem with Hadoop 2.5.x
>
> This question is related to above one. I found that when building giraph
> 1.1.0-rc0 with hadoop 2.5.1, a compilation error occurs. It is related to
> HADOOP-10451[^1], which was applied to hadoop 2.5.0. By making some fixes,
> I succeeded to build it. If I can, I hope to report this issue and submit
> patch but I am a newbie in giraph-dev so I don't know what can I do.
>
> Is there someone who can help me?

Why don't you file a Giraph JIRA and attach your patch?

Thanks,
Roman.

Mime
View raw message